aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-02 17:33:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-02 17:33:56 +0000
commitfc9bd36702135b249d8dff59a96d1a88c8115654 (patch)
tree0aa3f0317f03f628fe011ec33b2fea229b609e2c /x11
parentf106ff15b599e6eb7dc578d6e8c0d5353c00f3f9 (diff)
downloadaports-fc9bd36702135b249d8dff59a96d1a88c8115654.tar.gz
aports-fc9bd36702135b249d8dff59a96d1a88c8115654.tar.bz2
aports-fc9bd36702135b249d8dff59a96d1a88c8115654.tar.xz
x11/xfce4-mixer: new aport
The volume control plugin for the Xfce panel http://www.xfce.org/
Diffstat (limited to 'x11')
-rw-r--r--x11/xfce4-mixer/APKBUILD26
l---------x11/xfce4-mixer/xfce4-mixer.post-deinstall1
-rw-r--r--x11/xfce4-mixer/xfce4-mixer.post-install4
l---------x11/xfce4-mixer/xfce4-mixer.post-upgrade1
4 files changed, 32 insertions, 0 deletions
diff --git a/x11/xfce4-mixer/APKBUILD b/x11/xfce4-mixer/APKBUILD
new file mode 100644
index 0000000000..633f397d1b
--- /dev/null
+++ b/x11/xfce4-mixer/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-mixer
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="The volume control plugin for the Xfce panel"
+url="http://www.xfce.org/"
+license="GPL2"
+depends="hicolor-icon-theme"
+makedepends="pkgconfig xfce4-panel-dev gstreamer-dev intltool
+ gst-plugins-base-dev expat-dev libsm-dev e2fsprogs-dev"
+install=xfce4-mixer.install
+source="http://www.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static \
+ --with-sound=alsa || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="a99e2455445480ef5081fe69454a46fc xfce4-mixer-4.6.1.tar.bz2"
diff --git a/x11/xfce4-mixer/xfce4-mixer.post-deinstall b/x11/xfce4-mixer/xfce4-mixer.post-deinstall
new file mode 120000
index 0000000000..59bfac9d75
--- /dev/null
+++ b/x11/xfce4-mixer/xfce4-mixer.post-deinstall
@@ -0,0 +1 @@
+xfce4-mixer.post-install \ No newline at end of file
diff --git a/x11/xfce4-mixer/xfce4-mixer.post-install b/x11/xfce4-mixer/xfce4-mixer.post-install
new file mode 100644
index 0000000000..c523d78da0
--- /dev/null
+++ b/x11/xfce4-mixer/xfce4-mixer.post-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
diff --git a/x11/xfce4-mixer/xfce4-mixer.post-upgrade b/x11/xfce4-mixer/xfce4-mixer.post-upgrade
new file mode 120000
index 0000000000..59bfac9d75
--- /dev/null
+++ b/x11/xfce4-mixer/xfce4-mixer.post-upgrade
@@ -0,0 +1 @@
+xfce4-mixer.post-install \ No newline at end of file